Package com.smartgwt.client.widgets.grid.events

# Class RecordDropEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<RecordDropHandler>
com.smartgwt.client.widgets.grid.events.RecordDropEvent

All Implemented Interfaces:
  `Cancellable`

public class RecordDropEvent extends BrowserEvent<RecordDropHandler> implements Cancellable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RecordDropEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Call this method to cancel the default record drop handling
  `protected void`
  `dispatch(RecordDropHandler handler)`
  `static <S extends HasRecordDropHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<RecordDropHandler>`
  `getAssociatedType()`
  `RecordDropPosition`
  `getDropPosition()`
  position with respect to the target record
  `ListGridRecord[]`
  `getDropRecords()`
  records being dropped
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `int`
  `getIndex()`
  index of record being dropped on
  `Canvas`
  `getSourceWidget()`
  widget where dragging began
  `ListGridRecord`
  `getTargetRecord()`
  record being dropped on.
  `static GwtEvent.Type<RecordDropHandler>`
  `getType()`
  Gets the type associated with this event.
  `boolean`
  `isCancelled()`

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RecordDropEvent

    public RecordDropEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### fire

    public static <S extends HasRecordDropHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<RecordDropHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(RecordDropHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<RecordDropHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<RecordDropHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<RecordDropHandler>`

  - ### cancel

    public void cancel()
    Call this method to cancel the default record drop handling
    Specified by:
      `cancel` in interface `Cancellable`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      true if cancelled

  - ### getDropRecords

    public ListGridRecord[] getDropRecords()
    records being dropped
    Returns:
      records being dropped

  - ### getTargetRecord

    public ListGridRecord getTargetRecord()
    record being dropped on. May be null
    Returns:
      record being dropped on. May be null

  - ### getIndex

    public int getIndex()
    index of record being dropped on
    Returns:
      index of record being dropped on

  - ### getDropPosition

    public RecordDropPosition getDropPosition()
    position with respect to the target record
    Returns:
      position with respect to the target record

  - ### getSourceWidget

    public Canvas getSourceWidget()
    widget where dragging began
    Returns:
      widget where dragging began